# std::experimental::ostream_joiner::operator++

From cppreference.com
< cpp‎ | experimental‎ | ostream joiner

ostream_joiner& operator++(); |  | (library fundamentals TS v2)
ostream_joiner& operator++( int ); |  | (library fundamentals TS v2)

Does nothing. These operator overloads are provided to satisfy the requirements of `OutputIterator`. They make it possible for the expressions *iter++=value and *++iter=value to be used to output (insert) a value into the underlying stream.

### Parameters

(none)

### Return value

*this

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/experimental/ostream_joiner/operator_arith&oldid=91882"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template